package org.apache.seatunnel.datasource.plugin.redis;

public class RedisConfiguration {
    private String host;
    private Integer port;
    private String user;
    private String auth;
    private String key;
    private String data_type;
    private String mode;

    public RedisConfiguration() {}

    public RedisConfiguration(
            String host,
            Integer port,
            String user,
            String auth,
            String key,
            String data_type,
            String mode) {
        this.host = host;
        this.port = port;
        this.user = user;
        this.auth = auth;
        this.key = key;
        this.data_type = data_type;
        this.mode = mode;
    }

    @Override
    public String toString() {
        return "RedisConfiguration{"
                + "host='"
                + host
                + '\''
                + ", port="
                + port
                + ", user='"
                + user
                + '\''
                + ", auth='"
                + auth
                + '\''
                + ", key='"
                + key
                + '\''
                + ", data_type='"
                + data_type
                + '\''
                + ", mode='"
                + mode
                + '\''
                + '}';
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getAuth() {
        return auth;
    }

    public void setAuth(String auth) {
        this.auth = auth;
    }

    public String getkey() {
        return key;
    }

    public void setkey(String key) {
        this.key = key;
    }

    public String getData_type() {
        return data_type;
    }

    public void setData_type(String data_type) {
        this.data_type = data_type;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }
}
